<?php



namespace app\common\repositories\store\order;

use app\common\repositories\BaseRepository;
use app\common\dao\store\order\StoreImportDeliveryDao;

class StoreImportDeliveryRepository extends BaseRepository
{
    /**
     * StoreGroupOrderRepository constructor.
     * @param StoreImportDeliveryDao $dao
     */
    public function __construct(StoreImportDeliveryDao $dao)
    {
        $this->dao = $dao;
    }

    public function getList($where,$page, $limit)
    {
        $query = $this->dao->getSearch($where);
        $count = $query->count();
        $list = $query->page($page, $limit)->select();

        return compact('count','list');
    }
}
